[Smaug] Ubuntu / Debian install problem

Peter Belew abcruzww at gmail.com
Thu Aug 17 21:36:04 PDT 2006


Hi -

On 8/17/06, Rob Beckett <subwolf at gmail.com> wrote:
> Peter,
>
> I forget the switch, I thought it was -f, but since that's a "keep
> going" option, perhaps best not to. I'd try to remove cupsys and it's
> related packages, and then start over installing ubuntu-desktop again,
> which will install cupsys from scratch, since it's a dependency.

 That's basically what I was doing. That just increased the number of
messages about dependancies.

>
> On the other hand, in case it's just that the
> /usr/share/doc/cupsys/online-docs/ files are missing, you could try

 There is no /usr/share/doc/cupsys directory, so that sounds like
something to try.

I'll try that when I have time tomorrow.

Thanks - I'll post any progress or lack thereof!

 Peter

> downloading http://blogshares.com/rob/cupsys-online-docs.tar.gz
> (500k, from current Dapper install) moving it into the aforementioned
> directory, and extract with 'tar xvzf cupsys-online-docs.tar.gz' -
> however, I suspect other files may be missing.
>
> Cheers,
>
> Rob Beckett
> Santa Cruz Tech
>
> On 8/17/06, Peter Belew <abcruzww at gmail.com> wrote:
> > At some point I had installed a wireless-related package which removed
> > ubuntu-desktop - after removing the package and trying to restore
> > ubuntu-desktop I started getting messages like this relating to cupsys
> > and related packages - I'm a bit uncertain about how to start undoing
> > this mess - Peter
> >
> > root at cupid:~ # apt-get dist-upgrade
> > Reading package lists... Done
> > Building dependency tree... Done
> > Calculating upgrade... Done
> > 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> > 7 not fully installed or removed.
> > Need to get 0B of archives.
> > After unpacking 0B of additional disk space will be used.
> > Do you want to continue [Y/n]? y
> >
> > Setting up cupsys (1.2.2-0ubuntu0.6.06) ...
> > cannot create dhelp file '/usr/share/doc/cupsys/online-docs/.dhelp':
> > No such file or directory
> > dpkg: error processing cupsys (--configure):
> >  subprocess post-installation script returned error exit status 2
> > dpkg: dependency problems prevent configuration of bluez-cups:
> >  bluez-cups depends on cupsys; however:
> >   Package cupsys is not configured yet.
> > dpkg: error processing bluez-cups (--configure):
> >  dependency problems - leaving unconfigured
> > dpkg: dependency problems prevent configuration of cupsys-driver-gutenprint:
> >  cupsys-driver-gutenprint depends on cupsys (>= 1.1.23) | cups (>=
> > 1.1.23); however:
> >   Package cupsys is not configured yet.
> >   Package cups is not installed.
> > dpkg: error processing cupsys-driver-gutenprint (--configure):
> >  dependency problems - leaving unconfigured
> > dpkg: dependency problems prevent configuration of cupsys-driver-gimpprint:
> >  cupsys-driver-gimpprint depends on cupsys-driver-gutenprint (>=
> > 5.0.0~rc2-0ubuntu6); however:
> >   Package cupsys-driver-gutenprint is not configured yet.
> > dpkg: error processing cupsys-driver-gimpprint (--configure):
> >  dependency problems - leaving unconfigured
> > dpkg: dependency problems prevent configuration of hplip:
> >  hplip depends on cupsys (>= 1.1.20); however:
> >   Package cupsys is not configured yet.
> > dpkg: error processing hplip (--configure):
> >  dependency problems - leaving unconfigured
> > dpkg: dependency problems prevent configuration of printconf:
> >  printconf depends on cupsys; however:
> >   Package cupsys is not configured yet.
> > dpkg: error processing printconf (--configure):
> >  dependency problems - leaving unconfigured
> > dpkg: dependency problems prevent configuration of ubuntu-desktop:
> >  ubuntu-desktop depends on bluez-cups; however:
> >   Package bluez-cups is not configured yet.
> >  ubuntu-desktop depends on cupsys; however:
> >   Package cupsys is not configured yet.
> >  ubuntu-desktop depends on cupsys-driver-gutenprint; however:
> >   Package cupsys-driver-gutenprint is not configured yet.
> >  ubuntu-desktop depends on hplip; however:
> >   Package hplip is not configured yet.
> > dpkg: error processing ubuntu-desktop (--configure):
> >  dependency problems - leaving unconfigured
> > Errors were encountered while processing:
> >  cupsys
> >  bluez-cups
> >  cupsys-driver-gutenprint
> >  cupsys-driver-gimpprint
> >  hplip
> >  printconf
> >  ubuntu-desktop
> > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > root at cupid:~ #
> >
> > _______________________________________________
> > Smaug mailing list
> > Smaug at lists.svlug.org
> > http://lists.svlug.org/lists/listinfo/smaug
> > Smaug home page: http://www.scruz.org/
> >
>



More information about the Smaug mailing list